# Serialized Form

## Package javax.servlet

### Class javax.servlet.GenericServlet

class GenericServlet extends Object implements Serializable

serialVersionUID:
  1L

### Class javax.servlet.ServletContextAttributeEvent

class ServletContextAttributeEvent extends ServletContextEvent implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### name

    String name

Attribute name.

##### value

    Object value

Attribute value.

### Class javax.servlet.ServletContextEvent

class ServletContextEvent extends EventObject implements Serializable

serialVersionUID:
  1L

### Exception javax.servlet.ServletException

class ServletException extends Exception implements Serializable

serialVersionUID:
  1L

### Class javax.servlet.ServletRequestAttributeEvent

class ServletRequestAttributeEvent extends ServletRequestEvent implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### name

    String name

Attribute name.

##### value

    Object value

Attribute value.

### Class javax.servlet.ServletRequestEvent

class ServletRequestEvent extends EventObject implements Serializable

serialVersionUID:
  1L

### Exception javax.servlet.UnavailableException

class UnavailableException extends ServletException implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### permanent

    boolean permanent

Is the issue permanent - i.e. is administrator action required?

##### seconds

    int seconds

The estimate of how long the Servlet will be unavailable.

##### servlet

    Servlet servlet

The Servlet that is unavailable.

## Package javax.servlet.http

### Class javax.servlet.http.Cookie

class Cookie extends Object implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### comment

    String comment

`;Comment=VALUE ...` describes cookie's use.

##### domain

    String domain

`;Domain=VALUE ...` domain that sees cookie

##### httpOnly

    boolean httpOnly

Not in cookie specs, but supported by browsers.

##### maxAge

    int maxAge

`;Max-Age=VALUE ...` cookies auto-expire

##### name

    String name

Cookie name.

##### path

    String path

`;Path=VALUE ...` URLs that see the cookie

##### secure

    boolean secure

`;Secure ...` e.g. use SSL

##### value

    String value

Cookie value.

##### version

    int version

Cookie version value. `;Version=1 ...` means RFC 2109 style.

### Class javax.servlet.http.HttpServlet

class HttpServlet extends GenericServlet implements Serializable

serialVersionUID:
  1L

### Class javax.servlet.http.HttpSessionBindingEvent

class HttpSessionBindingEvent extends HttpSessionEvent implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### name

    String name

The name to which the object is being bound or unbound.

##### value

    Object value

The object is being bound or unbound.

### Class javax.servlet.http.HttpSessionEvent

class HttpSessionEvent extends EventObject implements Serializable

serialVersionUID:
  1L